Subject: Re: bug#32183: New ‘guix pull’/root/.config/current/bin/guix: Permission denied

From: [email-masked] (Ludovic Courtès)
Date: Tue, 11 Sep 2018 16:27:23 +0200

Pjotr Prins <[email-masked]> skribis:

> On Tue, Sep 11, 2018 at 03:23:13PM +0200, Pjotr Prins wrote:
>> On Tue, Sep 11, 2018 at 12:12:15PM +0200, Ludovic Courtès wrote:
>> > The download process is running as a build user, not as root, hence the
>> > permission issue (silly me!).
>> > 
>> > Now we need to find a way to use ‘guix’ from root’s
>> > ~/.config/guix/current.  A solution may be to expose that profile under
>> > /var/guix/profiles.  Needs more thought…
>> 
>> Great! Any quick hacks to fix this? Even when I set all permissions open I get in the latest tree
>> 
>> ./pre-inst-env guix package -i r-rqda -p ~/opt/rqda --substitute-urls="https://berlin.guixsd.org" --verbose
>> 
>> Building /gnu/store/nknybsl5a9wnfgd9bs13fzmjwa382ys2-libgcrypt-1.8.3.tar.bz2.drv - x86_64-linux
>> /gnu/store/sf84mb2y5vcykwq9fv02l2nipp34qng2-guix-daemon-0.15.0-3.3d43017/libexec/guix/download: line 8: /root/.config/guix/current/bin/guix: Permission denied
>> /gnu/store/sf84mb2y5vcykwq9fv02l2nipp34qng2-guix-daemon-0.15.0-3.3d43017/libexec/guix/download: line 8: exec: /root/.config/guix/current/bin/guix: cannot execute: Permission denied
>> builder for `/gnu/store/nknybsl5a9wnfgd9bs13fzmjwa382ys2-libgcrypt-1.8.3.tar.bz2.drv' failed with exit code 126
>> Build failed: /gnu/store/nknybsl5a9wnfgd9bs13fzmjwa382ys2-libgcrypt-1.8.3.tar.bz2.drv - 1 builder for `/gnu/store/nknybsl5a9wnfgd9bs13fzmjwa382ys2-libgcrypt-1.8.3.tar.bz2.drv' failed with exit code
>
> Hmmm. It fixed itself when I added the mirror substitute URL again.
> After that it successfully built ghostscript. Looks like the building
> problem only exists in the pre-building track of guix where it builds
> packages for its own use?

The issue affects downloads only (fixed-output derivations, not
substitutes.)

Ludo’.